%global _description %{expand:
IO package for AWS SDK for C. It handles all IO and TLS work
for application protocols.}

Name:           aws-c-io
Version:        0.14.8
Release:        1%{?dist}
Summary:        IO package for AWS SDK for C

License:        Apache-2.0
URL:            https://github.com/awslabs/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Install cmake files in 'libdir/cmake/aws-c-io' rather than 'libdir/aws-c-io/cmake'
Patch0:         aws-c-io-cmake.patch
# All tests disabled that require internet connectivity
Patch1:         0001-disable-tests-that-require-internet-connectivity.patch

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  openssl-devel%{?_isa}
BuildRequires:  aws-c-common-devel%{?_isa}
BuildRequires:  aws-c-cal-devel%{?_isa}
BuildRequires:  s2n-tls-devel%{?_isa}

# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}
# Dependencies like aws-c-common don't support and build on s390x
# Upstream issue: https://github.com/awslabs/aws-c-common/issues/1111
# Fedora bugzilla ticket to be created after package review
ExcludeArch: s390x

%description %{_description}


%package devel
Summary:        IO package for AWS SDK for C
Requires:       openssl-devel
Requires:       aws-c-common-devel
Requires:       aws-c-cal-devel
Requires:       s2n-tls-devel
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel %{_description}


%prep
%autosetup -p1


%build
%cmake -DBUILD_SHARED_LIBS=ON
%cmake_build


%install
%cmake_install


%check
%ctest


%files
%license LICENSE NOTICE
%doc README.md
%{_libdir}/libaws-c-io.so.1{,.*}


%files devel
%{_libdir}/libaws-c-io.so
%dir %{_includedir}/aws/io/
%dir %{_includedir}/aws/testing/
%{_includedir}/aws/io/
%{_includedir}/aws/testing/
%dir %{_libdir}/cmake/aws-c-io/
%{_libdir}/cmake/aws-c-io/


%changelog
* Wed May 15 2024 Dominik Wombacher <dominik@wombacher.cc> - 0.14.8-1
- update to 0.14.8

* Fri Feb 04 2022 David <davdunc@amazon.com> - 0.10.12-4
- Update and verify spec file for review

* Thu Feb 03 2022 Kyle Knapp <kyleknap@amazon.com> - 0.10.12-3
- Update specfile based on review feedback

* Wed Feb 02 2022 David Duncan <davdunc@amazon.com> - 0.10.12-2
- Prepare for package review

* Tue Jan 18 2022 Kyle Knapp <kyleknap@amazon.com> - 0.10.12-1
- Initial package development 
